Bug 187144 - system-config-lvm crashes during startup
system-config-lvm crashes during startup
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: system-config-lvm (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jim Parsons
Jim Parsons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-28 14:27 EST by Sven Pfeifer
Modified: 2008-01-23 13:15 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-23 13:15:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sven Pfeifer 2006-03-28 14:27:27 EST
Description of problem:
When starting system-config-lvm as root in a Terminal, the window appears for a
really short time and disappears immediately and I get the following error:

Traceback (most recent call last):
  File "/usr/share/system-config-lvm/system-config-lvm.py", line 138, in ?
    runFullGUI()
  File "/usr/share/system-config-lvm/system-config-lvm.py", line 123, in runFullGUI
    blvm = baselvm(glade_xml, app)
  File "/usr/share/system-config-lvm/system-config-lvm.py", line 68, in __init__
    self.lvmm = lvm_model()
  File "/usr/share/system-config-lvm/lvm_model.py", line 142, in __init__
    self.__block_device_model = BlockDeviceModel()
  File "/usr/share/system-config-lvm/BlockDeviceModel.py", line 19, in __init__
    bd = BlockDevice(devname)
  File "/usr/share/system-config-lvm/BlockDevice.py", line 41, in __init__
    self.reload()
  File "/usr/share/system-config-lvm/BlockDevice.py", line 54, in reload
    parts = fdisk.getPartitions(self.dev)
  File "/usr/share/system-config-lvm/fdisk_wrapper.py", line 108, in getPartitions
    beg, end, ignore, id = words[:4]
ValueError: need more than 3 values to unpack

Version-Release number of selected component (if applicable):

system-config-lvm-1.0.13-1.0

How reproducible:

start system-config-lvm

Steps to Reproduce:
1. enter system-config-lvm in root-Terminal
2. see the above error message
3.
  
Actual results:

The s-c-lvm windows disappears immediately after starting s-c-lvm

Expected results:

The window should appear and to configure your LVM

Additional info:
Comment 1 Robert Mortimer 2006-04-12 03:59:49 EDT
I have the same problem. I would like to add that my LVM is on a dev mapper SATA
two disk striped software RAID. As this is not the normal /md0 I suspect this
may be a contributeing factor.
Comment 2 Stanko Kupcevic 2006-05-11 17:30:57 EDT
Could you post the output of 'sfdisk -l -uS <devname>' for all hard drives.
Comment 3 Joao Batista Gomes de Freitas 2006-05-20 19:06:55 EDT
I also have the sam problem and a similar configuration:
ASUS A8N-E motherboard, 2 s-ata drivers with raid enabled (nvidia controller)
and  LVM. Here is the output of sfdisk :
 [root@CedarCourt ~]# sfdisk -l -uS /dev/mapper/nvidia_acaafeee
Disk /dev/mapper/nvidia_acaafeee: cannot get geometry

Disk /dev/mapper/nvidia_acaafeee: 0 cylinders, 0 heads, 0 sectors/track
Warning: The partition table looks like it was made
  for C/H/S=*/255/63 (instead of 0/0/0).
For this listing I'll assume that geometry.
Units = sectors of 512 bytes, counting from 0

   Device Boot    Start       End   #sectors  Id  System
/dev/mapper/nvidia_acaafeee1   *        63    208844     208782  83  Linux
/dev/mapper/nvidia_acaafeee2        208845 976784129  976575285  8e  Linux LVM
/dev/mapper/nvidia_acaafeee3             0         -          0   0  Empty
/dev/mapper/nvidia_acaafeee4             0         -          0   0  Empty
[root@CedarCourt ~]# sfdisk -l -uS /dev/sda

Disk /dev/sda: 30401 cylinders, 255 heads, 63 sectors/track
Units = sectors of 512 bytes, counting from 0

   Device Boot    Start       End   #sectors  Id  System
/dev/sda1   *        63    208844     208782  83  Linux
/dev/sda2        208845 976784129  976575285  8e  Linux LVM
/dev/sda3             0         -          0   0  Empty
/dev/sda4             0         -          0   0  Empty
[root@CedarCourt ~]# sfdisk -l -uS /dev/sdb

Disk /dev/sdb: 30401 cylinders, 255 heads, 63 sectors/track

sfdisk: ERROR: sector 0 does not have an msdos signature
 /dev/sdb: unrecognized partition table type
No partitions found
Comment 5 Ryan McCabe 2008-01-23 13:15:58 EST
NEEDINFO for over a year. Works for me on F8.

Note You need to log in before you can comment on or make changes to this bug.